th(1)

NAME
th - Read,Eval,Print-Loop for Torch Framework

SYNOPSIS
th [options] [script.lua [arguments]]

DESCRIPTION
A pure Lua REPL (Read,Eval,Print-Loop) for LuaJIT, with heavy support for Torch types. It uses Readline for tab completion. This package also installs command line frontend `th`, which comes packed with all these features:

    •   Tab-completion on nested namespaces

    •   Tab-completion on disk files (when opening a string)

    •   History

    •   Pretty print (table introspection and coloring)

    •   Auto-print after eval (can be stopped with ;)

    •   Each command is profiled, timing is reported

    •   No need for '=' to print

    •   Easy help with: `? funcname`

    •   Self help: `?`

    •   Shell commands with: $ cmd (example: `$ ls`)

    •   Print all user globals with `who()`

    •   Import a package's symbols globally with `import(package)`

    •   Require is overloaded to provide relative search paths: `require('./mylocallib/')`

    •   [Optional] strict global namespace monitoring

    •   [Optional] async repl

OPTIONS

-l name
    load library name

-e statement
    execute statement

-h,--help
    print this help

-a,--async
    preload async (libuv) and start async repl (BETA)

-g,--globals
    monitor global variables (print a warning on creation/access)

-gg,--gglobals
    monitor global variables (throw an error on creation/access)

-x,--gfx
    start gfx server and load gfx env

-i,--interactive
    enter the REPL after executing a script

HOMEPAGE
http://torch.ch/